import {configureStore} from '@reduxjs/toolkit';
import userSlice from './users/users.slice';
import { postsSlice } from './posts/posts.slice';

export const store = configureStore({
	reducer: {
		user: userSlice,
		posts: postsSlice.reducer,
	},
});

export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
export type AppStore = ReturnType<typeof store.getState>;
export type AppState = ReturnType<typeof store.getState>;
